Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162381 - About dialog doesn't display in sk_SK.UTF-8
Summary: About dialog doesn't display in sk_SK.UTF-8
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 4
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
: 162382 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-03 16:45 UTC by Sergej Chodarev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-22 13:01:56 UTC


Attachments (Terms of Use)

Description Sergej Chodarev 2005-07-03 17:00:18 UTC
Description of problem:
In sk_SK.UTF-8 Firefox doesn't display About dialog.

Version-Release number of selected component (if applicable):
firefox-1.0.4-4

How reproducible:
Always

Steps to Reproduce:
1. Run Firefox in slovak environment
2. In main menu select Pomocník -> O programe Mozilla Firefox

Actual Results:
Displayed window with error message:
  Chyba poÄas spracovania XML: nedefinovaná entita Adresa:
chrome://browser/content/aboutDialog.xul Äíslo riadku 30, Stĺpec 1:
  <label id="version" value="&aboutVersion; 1.0.4"/>
  ^

This can be translated as "Error while processing XML: undefined entity Address:
chrome://browser/content/aboutDialog.xul Line number 30, Column 1"

Expected Results: Display About dialog

Additional info:
I think problem is in sk-SK localization in file chrome/browser/aboutDialog.dtd
Line 3 should be
  <!ENTITY aboutVersion "verzia">
instead of
  <!ENTITY aboutVersion "verzia &version;">

This bug is fixed in newest version of slovak localization on
http://www.mozilla.sk/l10n/

P.S. Sorry for posting this bug twice. I received some error message from the
server, so I pressed button again.

Comment 1 Sergej Chodarev 2005-07-06 16:04:18 UTC
*** Bug 162382 has been marked as a duplicate of this bug. ***

Comment 2 Christian Iseli 2007-01-22 11:05:51 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Sergej Chodarev 2007-01-22 13:01:56 UTC
It seems that problem is solved in current RPM for FC6
(firefox-1.5.0.9-1.fc6.i386.rpm). I don't have Fedora installed now, but this
RPM works in my distribution, so it should work also in Fedora.


Note You need to log in before you can comment on or make changes to this bug.